<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1z" . "Zw=="), "_a62d761f3e831ff9" . "d9da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2" . "NvcmUucGhw"), "me" . "ss" . "ag" . "e" => base64_decode("bWVzc2" . "FnZQ=="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0" . "bGU="), "_4c510e5adc7368560eb3d" . "d6ed429e5c5" => base64_decode("Li4vY29tbW9uL3By" . "b2Nlc3NfcmVzcG9u" . "c2UucGhw"), "_fe2579cea630be3ef73ecaa" . "47a26a59f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va2" . "1hcmtfYWRkZWQ="), "_b93155ab570822d94f80f2b" . "49acbdcde" => base64_decode("dXJsZGV" . "jb2Rl"), "ur" . "l" => base64_decode("d" . "X" . "J" . "s"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a62d761f3e831ff9" . "d9da39f9c26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_b93155ab5" . "70822d94f8" . "0f2b49acbd" . "cde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_b93155ab" . "570822d94" . "f80f2b49a" . "cbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_fe2579cea630be3ef73eca" . "a47a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4c510e5adc7368560e" . "b3dd6ed429e5c5"];